
'Sample simple event processors to demonstrate how events are linked
'to subroutines.
'just uncomment the #event directives below and reload scripts 
'(press F9 in ScreenMonkey) for them to take effect

'#event OnLogon LogonAlert
'#event OnPreprocess Bork
'#event OnStartup DoHello
'#event OnShutdown DoGoodbye

Sub DoHello
	MsgBox "You've Got Dice!"
End Sub

Sub DoGoodbye
	MsgBox "Coward!  Get Back Here!"
End Sub

'pops up a message box when a player logs in
Sub LogonAlert
	o = GetCurrentPlayer()
	If NotNull( o) Then
		MsgBox o.Name & " Logged On"
	End If
End Sub

'Adds "Bork Bork Bork" to each chat message
'submitted by players. Not recommended to use
'this for too long, the joke gets old quick!
Sub Bork
	Dim nAction
	nAction = GetCurrentAction()
	
	Select Case nAction
		Case 62
			s = GetVar( "chattext")
			If Len( s) > 0 Then
				s = s + " bork bork bork!"
				SetVar "chattext", s
			End If
	End Select
End Sub