'
' GM Goodies
' Useful scripts every GM should have
'

#commandset GM Goodies

#register /bs RollBehindScreen rolls a dice expression that only you (and the GM) can see.
'dont put a description on these lines so the players wont know about them!
#register /fh FudgeHit
#register /sr SecretRoll

'Appears to evaluate a dice expression, and returns the desired result
'ex:  @fudge("1d20+4",23)  would make it look in chat like a 23 was rolled on 1d20+4 
Function Fudge( sDice, nWanted)
	Fudge = "<b>" & CStr( nWanted) & "</b>(" & sDice & ")"
End Function

'Fudges a hit by making it look like a 1d20+4 resulted in 23.  Perfect for 
'keeping them in line.  Any text passed to the command is displayed before the result
'example usage:  
'     /fh Orc #1 takes a swing at you, and rolls
'would result in "Orc #1 takes a swing at you, and rolls 23(1d20+4)
Sub FudgeHit
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = ci.Text + " " + Fudge( "1d20+4", 23)
End Sub

'usage /sr <dice>, such as /sr 1d20+5
'rolls the dice and reports the results, but doesnt display the type of dice rolled
Sub SecretRoll
	cs = GetChatSession()
	ci = cs.GetLastItem()

	ci.Action = "makes a secret die roll, consults a chart, and grins"
	ci.Text = EvalDice( ci.Text)
End Sub

'rolls a dice expression "behind the screen", and reports the results only to
'you (and the GM, if you're not the GM)
'usage: /bs 1d20+5
Sub RollBehindScreen
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.PlayerTo = ci.PlayerFrom
	ci.Action = "rolls some dice behind the screen"
	ci.Text = EvalDice( ci.Text)
End Sub