#commandset Translation Services
#register /bard Bardish A simple germanic/norse accent creator.
#register /orc Orcish Me am speaking orc!


Sub Bardish
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Action = "sez"
	ci.Text = TranslateIcelandic( ci.text)
End Sub

Function TranslateIcelandic( sText)
	sOut = ""
	sWord = ""
	Delimiters = " \,<.>/?;:'\""[{]}|=+-_!@#$%^&*()~`"			

	sText = "Ja, " & sText & " "
	For i = 1 to Len( sText)
		c = Mid( sText, i, 1)
		If InStr( Delimiters, c) > 0 Then
			sOut = sOut & IcelandicWord( sWord) & c
			sWord = ""
		Else
			sWord = sWord & c
		End If
	Next
	TranslateIcelandic = sOut
End Function




Function IcelandicWord( sWord)

	sTrans = LCase( sWord)

	If sTrans = "this" Then sTrans = "dis"
	If sTrans = "the" Then sTrans = "da"
	If sTrans = "that" Then sTrans = "das"	
	If sTrans = "are" Then sTrans = "ar"
	If sTrans = "a" Then sTrans = "the"
	If sTrans = "my" Then sTrans = "mine"
	
	sTrans = Replace( sTrans, "and", "und")
	sTrans = Replace( sTrans, "oo", "u")	
	sTrans = Replace( sTrans, "ck", "k")	
	sTrans = Replace( sTrans, "speak", "sprek")

	If (Left( sTrans, 1) = "i") and (Len( sTrans) > 1) Then sTrans = "ee" & Mid( strans, 2)
	If (Left( sTrans, 2) = "wh") Then sTrans = "v" & Mid( sTrans, 3)
	If (Left( sTrans, 1) = "w") and (InStr( "aeiouh", Mid( sTrans, 2, 1)) > 0) Then sTrans = "v" & Mid( strans, 2)
		
		
	IcelandicWord = sTrans
End Function



Sub Orcish
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Action = "growls"
	ci.Text = TranslateOrcish( ci.text)
End Sub



Function TranslateOrcish( sText)
	sOut = ""
	sWord = ""
	Delimiters = " \,<.>/?;:'\""[{]}|=+-_!@#$%^&*()~`"			

	sText = sText & " "
	For i = 1 to Len( sText)
		c = Mid( sText, i, 1)
		If InStr( Delimiters, c) > 0 Then
			sOut = sOut & OrcishWord( sWord) & c
			sWord = ""
		Else
			sWord = sWord & c
		End If
	Next
	TranslateOrcish = sOut
End Function



Function OrcishWord( sWord)
	sTrans = LCase( sWord)
	
	If sTrans = "is" Then sTrans = "am"
	If sTrans = "are" Then sTrans = "am"
	If sTrans = "was" Then sTrans = "am"
	If sTrans = "be" Then sTrans = "am"
	If sTrans = "did" Then sTrans = "am"
	If sTrans = "does" Then sTrans = "am"
	If sTrans = "been" Then sTrans = "am"
	
	If sTrans = "i" Then sTrans = "me"
	If sTrans ="the" Then sTrans = ""
	If sTrans ="that" Then sTrans = ""
	If sTrans ="this" Then sTrans = ""
	If sTrans ="those" Then sTrans = ""			
	If sTrans = "will" Then sTrans = ""

	If sTrans = "please" Then sTrans = ""

	If sTrans = "your" Then sTrans = "my"
	If sTrans = "yours" Then sTrans = "my"	
	If sTrans = "his" Then sTrans = "my"	
	If sTrans = "hers" Then sTrans = "my"	
	If sTrans = "their" Then sTrans = "my"
	If sTrans = "our" Then sTrans = "my"
	
	If sTrans = "elf" Then sTrans = "breakfast"
	If sTrans = "elves" Then sTrans = "breakfast"
	If sTrans = "halfling" Then sTrans = "snack food"
	If sTrans = "halflings" Then sTrans = "snack food"
	If sTrans = "human" Then sTrans = "lunch"
	If sTrans = "humans" Then sTrans = "lunch"
	If sTrans = "dwarf" Then sTrans = "dinner"
	If sTrans = "dwarves" Then sTrans = "dinner"
	
	If sTrans = "cleric" Then sTrans = "shaman"

	If Right( sTrans, 3) = "ing" Then sTrans = Left( sTrans, Len( sTrans)-3)
	
	OrcishWord = sTrans
End Function